# Unlearn

![Disappearing repos](https://user-images.githubusercontent.com/17556281/28002221-14d2f434-6501-11e7-9078-3b2456dd327c.gif)

Declutter your GitHub by deleting all forked Learn.co repositories.

## Installation

Add this line to your application's Gemfile:

```ruby
gem 'unlearn'
```

And then execute:

    $ bundle

Or install it yourself as:

    $ gem install unlearn

## Usage

Execute:

    $ unlearn

And then follow the prompts. You'll need to create a new personal access token on GitHub with the [`delete_repo` scope](https://developer.github.com/apps/building-integrations/setting-up-and-registering-oauth-apps/about-scopes-for-oauth-apps/) enabled.

**For the ~lazy~ efficient, click [this link](https://github.com/settings/tokens/new?description=Unlearn&scopes=delete_repo
) and then hit the green `Generate token` button.**

## Questions
>Why did you build this?

To clean up my own GitHub account, to mess around with GraphQL, and to test (unsuccessfully) whether reducing my repo footprint would release my account from the depths of [angry unicorn](https://github.com/images/error/angry_unicorn.png) hell.

>I'm a current student. Will using this screw up my Learn.co progress?

No, it shouldn't have any effect. That being said, it's much more satisfying if you wait until graduating and then make that 400-ish repo cache go **boom** all at once.

>Will this affect the pretty contribution graph on my profile page?

Yes, inasmuch as every repository created on GitHub (including forks of existing repositories) counts as a contribution. All of the pull requests containing your solution code for a particular lab will still be active and accessible. The only difference is that instead of:
>**gj** wants to merge 1 commit into `learn-co-students:master` from `gj:master`

the pull requests will now say:
>**gj** wants to merge 1 commit into `learn-co-students:master` from `unknown repository`

## Development

After checking out the repo, run `bin/setup` to install dependencies. Then, run `rake spec` to run the tests. You can also run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`. To release a new version, update the version number in `version.rb`, and then run `bundle exec rake release`, which will create a git tag for the version, push git commits and tags, and push the `.gem` file to [rubygems.org](https://rubygems.org).

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/gj/unlearn. This project is intended to be a safe, welcoming space for collaboration, and contributors are expected to adhere to the [Contributor Covenant](http://contributor-covenant.org) code of conduct.

## License

The gem is available as open source under the terms of the [MIT License](http://opensource.org/licenses/MIT).

## Code of Conduct

Everyone interacting in the Unlearn project’s codebases, issue trackers, chat rooms and mailing lists is expected to follow the [code of conduct](https://github.com/gj/unlearn/blob/master/CODE_OF_CONDUCT.md).
